#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
use famd
}
-source /etc/courier-imap/imapd-ssl
+. /etc/courier-imap/imapd-ssl
checkconfig() {
- if [[ ! -e /etc/courier-imap/imapd-ssl ]] ; then
+ if [ ! -e /etc/courier-imap/imapd-ssl ] ; then
eerror "You need an /etc/courier-imap/imapd-ssl file to run courier-imapd-ssl"
return 1
fi
- source /etc/courier-imap/imapd-ssl || {
+ . /etc/courier-imap/imapd-ssl || {
eerror "There are syntax errors in /etc/courier-imap/imapd-ssl"
eerror "Please correct them before trying to start courier-imapd-ssl"
return 3
}
- if [[ ! -e "${TLS_CERTFILE}" ]] ; then
+ if [ ! -e "${TLS_CERTFILE}" ] ; then
eerror "You need to create a SSL certificate to use IMAP over SSL"
eerror "Edit /etc/courier-imap/imapd.cnf, then run: mkimapdcert"
return 2
#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
use famd
}
-source /etc/courier-imap/imapd
+. /etc/courier-imap/imapd
checkconfig() {
- if [[ ! -e /etc/courier-imap/imapd ]] ; then
+ if [ ! -e /etc/courier-imap/imapd ] ; then
eerror "You need an /etc/courier-imap/imapd file to run courier-imapd"
return 1
fi
- source /etc/courier-imap/imapd || {
+ . /etc/courier-imap/imapd || {
eerror "There are syntax errors in /etc/courier-imap/imapd"
eerror "Please correct them before trying to start courier-imapd"
return 2
#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
use famd
}
-source /etc/courier-imap/pop3d-ssl
+. /etc/courier-imap/pop3d-ssl
checkconfig() {
- if [[ ! -e /etc/courier-imap/pop3d-ssl ]] ; then
+ if [ ! -e /etc/courier-imap/pop3d-ssl ] ; then
eerror "You need an /etc/courier-imap/pop3d-ssl file to run courier-pop3d-ssl"
return 1
fi
- source /etc/courier-imap/pop3d-ssl || {
+ . /etc/courier-imap/pop3d-ssl || {
eerror "There are syntax errors in /etc/courier-imap/pop3d-ssl"
eerror "Please correct them before trying to start courier-pop3d-ssl"
return 3
}
- if [[ ! -e "${TLS_CERTFILE}" ]] ; then
+ if [ ! -e "${TLS_CERTFILE}" ] ; then
eerror "You need to create a SSL certificate to use POP3 over SSL"
eerror "Edit /etc/courier-imap/pop3d.cnf, then run: mkpop3dcert"
return 2
#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
use famd
}
-source /etc/courier-imap/pop3d
+. /etc/courier-imap/pop3d
checkconfig() {
- if [[ ! -e /etc/courier-imap/pop3d ]] ; then
+ if [ ! -e /etc/courier-imap/pop3d ] ; then
eerror "You need an /etc/courier-imap/pop3d file to run courier-pop3d"
return 1
fi
- source /etc/courier-imap/pop3d || {
+ . /etc/courier-imap/pop3d || {
eerror "There are syntax errors in /etc/courier-imap/pop3d"
eerror "Please correct them before trying to start courier-pop3d"
return 2